.plugin asm86

#include "ti86asm.inc"

#ifndef GRAYLAYERS
#define GRAYLAYERS
TempLine = _textShadow ;$86DF
PicCoor = TempLine +1528 ;$80E7
offset = PicCoor +2 ;$80E9
NASR_Status = offset +1 ;$80EA
#define PAGE1_BPL1 $3C
#define PAGE1_BPL2 $37
_user_int_ram EQU $D2FD
VideoDraw = $F300
#endif

.org _asm_exec_ram
 nop
 jp ProgStart
.dw 2
.dw ShellTitle
.dw YAS_ICON
    
ShellTitle:
.db "Background Pics",0
    
YAS_ICON:
.db 8,1
.db %00111100
.db %01000010
.db %10000001
.db %10000001
.db %10000001
.db %10000001
.db %01000010
.db %00111100
.db %11000011
.db %10111101
.db %01011010
.db %01111110
.db %01011010
.db %01100110
.db %10111101
.db %11000011

stext:
 ld (_penCol),bc
 jp _vputs
    
ProgStart:
 call _runindicoff
 call _clrLCD
 ld hl,TEXT
 ld bc,$0000
 call stext
 ld b,$08
 call stext
 ld b,$10
 call stext
 ld b,$18
 call stext
 ld b,$20
 call stext
 ld b,$28
 call stext
 ld b,$30
 call stext
 ld b,$38
 ld (_penCol),bc
 call _vputs
KeyLoop:
 call _getkey
 cp k1
 jr z,DBGT
 cp k2
 jr z,Ninja
 cp k3
 jr z,Veg1
 cp k4
 jr z,Scooby
 cp k5
 jr z,Trunks
 cp k6
 jr z,JP3
 cp k7
 jp z,CloseGray
 cp kExit
 jp z,END
 cp kLog
 jr z,Special
 jr KeyLoop
    
SetUp:
 ld bc,$0000
 call ClearPage ; clear both grayscale layers
 jp OpenGray ; open grayscale
    
DBGT:
 call SetUp
 ld hl,Pic1
 jp NASR2_4
Ninja:
 call SetUp
 ld hl,Pic2
 jp NASR2_4
Veg1:
 call SetUp
 ld hl,Pic3
 jp NASR2_4
Scooby:
 call SetUp
 ld hl,Pic4
 jp NASR2_4
Trunks:
 call SetUp
 ld hl,Pic5
 jp NASR2_4
JP3:
 call SetUp
 ld hl,Pic6
 jp NASR2_4
Special:
 call SetUp
 ld hl,PicS
 jp NASR2_4
 
TEXT:
.db "Background (UN)Installer",0
.db "1. DBGT Logo",0
.db "2. Ninja Turtles",0
.db "3. SSJ Vegeta",0
.db "4. Scooby and Gang",0
.db "5. Trunks",0
.db "6. Jurassic Park 3",0
.db "7. Uninstall, EXIT = Exit",0
    
OpenGray:
 res 2,(iy+$23)
 ld hl,IntRoutine
 ld de,_user_int_ram+1
 ld bc,InterruptMemEnd-IntRoutine
 ldir
 ld a,(_user_int_ram+1)
 ld hl,_user_int_ram+($28*1)
 add a,(hl)
 ld hl,_user_int_ram+($28*2)
 add a,(hl)
 ld hl,_user_int_ram+($28*3)
 add a,(hl)
 ld hl,_user_int_ram+($28*4)
 add a,(hl)
 ld hl,_user_int_ram+($28*5)
 add a,(hl)
 ld (_user_int_ram),a
 xor a
 ld (IntCounter), a
 ld (UserCounter), a
 ld de,IntData
 ld hl,SourceIntData
 ld bc,2
 ldir
 set 2,(iy+$23)
 ret

IntRoutine:
 push af
 push hl
 in a,(3)
 bit 1,a
 jr z,EndIntRoutine
 ld hl,UserCounter
 inc (hl)
 ld hl,IntData
 ld a,(IntCounter)
 cp 5
 jr z,DisplayLast
 cp 3
 jr c,DisplayBpl1
 jr DisplayBpl2

DisplayBpl1:
 inc a
 ld (IntCounter),a
 ld a,(hl)
 out (0),a
 jr EndIntRoutine

DisplayBpl2:
 inc a
 ld (IntCounter),a
 inc hl
 ld a,(hl)
 out (0),a
 jr EndIntRoutine

DisplayLast:
 ld a, (hl)
 out (0), a
 xor a
 ld (IntCounter),a

EndIntRoutine:
 ld a,(UserCounter)
 cp 41
 jr z,EndIntRoutine2
 pop hl
 pop af
 ret
EndIntRoutine2:
 xor a
 ld (UserCounter),a
 pop hl
 pop af
 ret

InterruptMemEnd:

GraySprite:
 push hl
 pop ix
 call FindAddress
GraySpriteE:
 push hl
 push ix
 ld de,$FC00
 add hl,de
 ld a,16
 ld (RenderSpriteM),a
 call RenderSprite
 ld a,8
 ld (RenderSpriteM),a
 pop ix
 pop hl
 ld de,$F700
 add hl,de
 ld de,$0008
 add ix,de

RenderSprite:
RenderSpriteCV = $+1
 ld b,8
RenderSpriteL:
 push bc
 ld a,(ix+8)
RenderSpriteM = $-1
 cpl
 ld b,a
 ld d,(ix)
 inc ix
 ld a,c
 ld c,$FF
 ld e,0
 or a
 jr z,RenderSpriteD
RenderSpriteS:
 srl d
 rr e
 scf
 rr b
 rr c
 dec a
 jr nz,RenderSpriteS
RenderSpriteD:
RenderSpriteCL =$
 ld a,b
 and (hl)
 or d
 ld (hl),a
 inc hl
RenderSpriteCR =$
 ld a,c
 and (hl)
 or e
 ld (hl),a
 ld de,15
 add hl,de
 pop bc
 djnz RenderSpriteL
 ret

FindAddress:
 ld a,c
 add a,a
 add a,a
 ld l,a
 ld h,0
 add hl,hl
 add hl,hl
 ld a,b
 and %11111000
 rra
 rra
 rra
 or l
 ld l,a
 ld a,b
 and %00000111
 ld c,a
 ret

;tables needed :)

IntCounter equ _user_int_ram+InterruptMemEnd-IntRoutine+2
IntData equ _user_int_ram+InterruptMemEnd-IntRoutine+3
UserCounter equ _user_int_ram+InterruptMemEnd-IntRoutine+5

SourceIntData:
.db PAGE1_BPL1,PAGE1_BPL2

Pages:
.dw $FC00,$F700

CloseGray:
 res 2,(iy+$23)
 ld a,$3C
 out (0), a
ClearPage:
 ld hl,(Pages)
 call Clear1024
 ld hl,(Pages+2)
Clear1024:
 ld d,h
 ld e,l
 inc de
 ld (hl),0
 ld bc,1024
 ldir
 ret

NASR2_4:    
 push bc
 ex de,hl
 call FIND_PIXEL
 ld bc,$F700
 jp normality ;use jr if you don't want speed
NASR2_3:    
 push bc
 ex de,hl
 call FIND_PIXEL
 ld bc,$FC00
normality:
 add hl,bc
 ld (PicCoor),hl
 ex de,hl
 ld b,$ff
Patch23:
 rla
 inc b
 jr nc,Patch23
 ld c,(hl)
 inc hl
 ld a,b   
 ld e,c
 cp (hl)
 jr c,DS123
 inc e
DS123:
 inc hl
 ld a,(hl)
 ld d,a
 inc hl
YLoop23:     
 push bc 
 push de
 ld b,8
 ex de,hl
 ld hl,TempLine
InitTempLineLoop23:
 ld (hl),0
 inc hl
 djnz InitTempLineLoop23
 ex de,hl
 ld b,0
 ld de,TempLine
 ldir
 pop de
 pop bc
 ld a,b
 cp 0 
 call nz,ShiftLine23   
 push bc
 push hl
 push de
 ld b,e
 ld hl,(PicCoor)
 ld de,16
 push hl
 add hl,de
 ld (PicCoor),hl
 pop hl
 ld de,TempLine
 ex de,hl
LoadSpriteLoop23:
 ld a,(NASR_Status)
 cp 1
 jp z,status3
status4:
 ld a,(hl)
 ex de,hl
 xor (hl)
 ld (hl),a
 ex de,hl
status2:
 inc de
 inc hl
 djnz LoadSpriteLoop23
 pop de
 pop hl
 pop bc
 dec d
 jp nz,YLoop23
 pop bc
 ret

ShiftLine23:
 push hl
 push bc 
SpriLoop123:
 ld a,b    
 ld hl,TempLine
 ld b,e
 and a
SpriLoop223: 
 rr (hl)
 inc hl
 djnz SpriLoop223
 ld b,a
 djnz SpriLoop123 
 pop bc
 pop hl
 ret
status3:
 ld a,(hl)
 ex de,hl
 or (hl)
 ld (hl),a
 ex de,hl
 jp status2

FIND_PIXEL:
 push bc
 push de
 ld hl,ExpTable
 ld d,0
 ld a,b
 and $07
 ld e,a
 add hl,de
 ld e,(hl)
 ld h,d
 srl b
 srl b
 srl b
 ld a,c
 add a,a
 add a,a
 ld l,a
 add hl,hl
 add hl,hl
 ld a,e
 ld e,b
 add hl,de
 pop de
 pop bc
 ret
ExpTable:
.db $80,$40,$20,$10,$08,$04,$02,$01

Pic1:
; Accessed by pressing 1
.db 16,1,64
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$08
.db $00,$7f,$83,$fc,$00,$7c,$03,$f0,$07,$f0,$3c,$7c,$00,$00,$00,$18
.db $00,$c0,$e2,$03,$01,$84,$0c,$08,$1c,$08,$42,$c4,$00,$00,$00,$f0
.db $00,$c0,$26,$01,$01,$84,$10,$04,$31,$08,$82,$c4,$00,$00,$03,$f0
.db $00,$c0,$26,$01,$01,$04,$30,$04,$31,$04,$82,$c0,$00,$00,$07,$f0
.db $01,$80,$06,$01,$02,$04,$61,$9c,$c3,$05,$82,$88,$00,$00,$7f,$f0
.db $01,$9c,$04,$71,$06,$04,$c3,$b8,$c3,$05,$83,$18,$00,$00,$ff,$e0
.db $01,$9c,$24,$73,$06,$44,$c7,$f1,$c7,$05,$83,$18,$00,$01,$ff,$e0
.db $01,$3c,$28,$f3,$04,$c5,$8f,$fd,$ff,$f9,$03,$30,$00,$1f,$ff,$c0
.db $02,$3c,$28,$e3,$08,$cd,$0e,$09,$ff,$f9,$03,$30,$00,$7f,$ff,$c0
.db $02,$3c,$78,$42,$19,$8d,$1e,$09,$7f,$ea,$33,$30,$00,$ff,$ff,$c0
.db $06,$3c,$78,$0c,$31,$8f,$1e,$1a,$3f,$9e,$32,$20,$07,$ff,$ff,$c0
.db $06,$3c,$f0,$18,$31,$8f,$1e,$1a,$3f,$1e,$70,$20,$1f,$ff,$ff,$c0
.db $06,$78,$f0,$10,$23,$8f,$1f,$12,$7f,$16,$70,$40,$7f,$ff,$ff,$80
.db $04,$31,$33,$10,$40,$0f,$0e,$22,$f3,$24,$70,$41,$ff,$ff,$ff,$80
.db $0c,$03,$23,$10,$c0,$0b,$00,$63,$e3,$64,$70,$c7,$ff,$ff,$ff,$00
.db $08,$03,$63,$10,$c0,$1b,$00,$43,$c3,$cc,$f0,$df,$ff,$ff,$ff,$00
.db $18,$0c,$67,$09,$8f,$99,$01,$83,$03,$08,$f0,$ff,$ff,$ff,$ff,$00
.db $18,$0c,$e7,$09,$19,$99,$83,$01,$03,$19,$f0,$ff,$ff,$ff,$ff,$00
.db $18,$38,$e7,$0b,$39,$f8,$fe,$01,$de,$1f,$ff,$ff,$ff,$ff,$ff,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$7f,$ff,$ff,$ff,$fe,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$ff,$ff,$ff,$ff,$fe,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$03,$ff,$ff,$ff,$ff,$fc,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$ff,$ff,$ff,$ff,$ff,$ff,$c0
.db $00,$00,$00,$00,$00,$00,$00,$00,$03,$00,$00,$ff,$ff,$ff,$ff,$80
.db $00,$7f,$00,$7c,$0f,$81,$f0,$00,$06,$00,$01,$fe,$00,$00,$01,$00
.db $00,$c0,$c1,$84,$18,$83,$30,$00,$0c,$00,$03,$fc,$00,$00,$06,$00
.db $01,$80,$c1,$84,$18,$83,$30,$00,$30,$00,$03,$fc,$00,$00,$04,$00
.db $01,$80,$c1,$04,$19,$82,$20,$00,$20,$00,$07,$f8,$00,$00,$08,$00
.db $01,$80,$c3,$04,$39,$82,$20,$00,$c0,$00,$0f,$f8,$00,$00,$08,$00
.db $01,$1c,$c6,$04,$31,$04,$60,$07,$80,$3f,$ff,$ff,$e0,$0f,$f0,$00
.db $03,$3c,$86,$04,$21,$04,$40,$1f,$01,$ff,$ff,$ff,$e0,$0f,$f0,$00
.db $02,$38,$84,$cc,$22,$04,$40,$7e,$00,$ff,$ff,$ff,$e0,$1f,$e0,$00
.db $06,$33,$09,$8c,$62,$0c,$c3,$fe,$03,$ff,$ff,$ff,$e0,$1f,$c0,$00
.db $06,$03,$09,$8c,$46,$0c,$cf,$fc,$03,$ff,$ff,$ff,$e0,$3f,$c0,$00
.db $06,$02,$19,$8c,$46,$18,$df,$f8,$03,$ff,$ff,$ff,$c0,$3f,$c0,$00
.db $04,$63,$11,$8c,$c4,$18,$ff,$f8,$07,$ff,$ff,$ff,$c0,$3f,$80,$00
.db $04,$f3,$23,$88,$c4,$11,$ff,$f8,$0f,$ff,$ff,$ff,$80,$3f,$80,$00
.db $08,$f3,$23,$88,$8f,$91,$ff,$f0,$0f,$ff,$ff,$ff,$80,$7f,$80,$00
.db $09,$f3,$c0,$08,$81,$a0,$3f,$e0,$0f,$ff,$ff,$ff,$80,$ff,$80,$00
.db $19,$e3,$c0,$09,$01,$e0,$3f,$e0,$1f,$ff,$ff,$ff,$80,$ff,$00,$00
.db $18,$03,$c0,$09,$01,$e0,$3f,$e0,$1f,$c0,$01,$ff,$80,$ff,$00,$00
.db $10,$0f,$1f,$0b,$01,$e0,$7f,$e0,$3f,$80,$03,$ff,$00,$fe,$00,$00
.db $10,$1b,$19,$0b,$03,$e0,$7f,$c0,$3f,$00,$07,$fe,$00,$fe,$00,$00
.db $1f,$f3,$f1,$fb,$ff,$ff,$ff,$c0,$3f,$00,$0f,$fe,$01,$fe,$00,$00
.db $00,$00,$00,$07,$ff,$ff,$ff,$80,$3f,$00,$0f,$fe,$01,$fe,$00,$00
.db $00,$00,$00,$0f,$ff,$ff,$ff,$80,$3f,$70,$1f,$fe,$03,$fe,$00,$00
.db $00,$00,$00,$3f,$ff,$ff,$ff,$80,$7f,$f8,$1f,$fe,$03,$fc,$00,$00
.db $00,$00,$01,$ff,$ff,$ff,$ff,$80,$7f,$f0,$3f,$fc,$03,$fc,$00,$00
.db $00,$00,$03,$ff,$ff,$ff,$ff,$80,$7f,$f0,$7f,$f8,$03,$f8,$00,$00
.db $00,$00,$07,$ff,$ff,$ff,$ff,$80,$7f,$e0,$7f,$f8,$03,$f8,$00,$00
.db $00,$00,$7f,$ff,$ff,$ff,$ff,$80,$7f,$e0,$ff,$f8,$07,$f0,$00,$00
.db $00,$00,$ff,$ff,$ff,$ff,$ff,$80,$3f,$c1,$ff,$f8,$07,$f0,$00,$00
.db $00,$03,$ff,$ff,$ff,$ff,$ff,$80,$3f,$01,$ff,$f8,$07,$f0,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$40,$00,$06,$00,$10,$0c,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$40,$00,$04,$00,$10,$0c,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$60,$00,$08,$00,$20,$0c,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$20,$00,$30,$00,$20,$0c,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$18,$00,$60,$00,$00,$0c,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$1c,$01,$c0,$00,$00,$0c,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$03,$fc,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
; Dragonball GT Logo

Pic2:
; Accessed by pressing 2
.db 16,1,64
.db $cf,$b3,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$8d,$ff,$ff,$ff
.db $ff,$fc,$00,$7f,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$f8,$60,$bf,$ff,$ff
.db $ff,$f0,$00,$1d,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$f7,$c8,$3f,$ff,$ff
.db $ff,$e0,$00,$0c,$ff,$ff,$ff,$ff,$ff,$ff,$f8,$0c,$34,$1f,$fe,$ff
.db $ff,$40,$00,$03,$7f,$ff,$ff,$ff,$ff,$ff,$c8,$00,$13,$f9,$ff,$ff
.db $ff,$00,$00,$03,$0f,$ff,$ff,$ff,$ff,$ff,$80,$00,$ef,$ff,$ff,$ff
.db $ff,$10,$00,$07,$2f,$ff,$ff,$ff,$ff,$ff,$9c,$00,$df,$ff,$ff,$ff
.db $ff,$00,$00,$03,$0f,$ff,$ff,$ff,$ff,$ff,$be,$01,$fe,$7f,$ff,$ff
.db $de,$e0,$00,$00,$07,$ff,$ff,$ff,$ff,$ff,$ff,$e3,$fc,$7f,$ff,$ff
.db $de,$c2,$00,$00,$f3,$ff,$ff,$ff,$ff,$ff,$f6,$80,$0c,$3f,$ff,$ff
.db $fc,$c0,$00,$00,$f9,$ff,$ff,$ff,$ff,$ff,$c6,$86,$c3,$ff,$7f,$ff
.db $fc,$00,$00,$01,$fd,$ff,$ff,$ff,$df,$ff,$ff,$60,$f3,$cf,$f7,$ff
.db $fc,$00,$00,$37,$ff,$ff,$ff,$ff,$df,$ff,$a5,$80,$3f,$d3,$ff,$ff
.db $d0,$80,$00,$37,$f2,$7f,$ff,$ff,$df,$ff,$e6,$00,$0f,$93,$ff,$ff
.db $f8,$80,$00,$2f,$ea,$1f,$fb,$ff,$ff,$ff,$fc,$00,$00,$fe,$ff,$ff
.db $e0,$00,$00,$9f,$d4,$07,$f9,$ff,$ff,$ff,$f0,$00,$00,$00,$ff,$ff
.db $e0,$00,$03,$bf,$9c,$03,$f9,$ff,$ff,$ff,$c0,$00,$00,$03,$fd,$ff
.db $f0,$02,$1f,$fe,$78,$01,$ff,$ff,$ff,$ff,$00,$00,$00,$0f,$ff,$ff
.db $f0,$3f,$ff,$87,$f0,$12,$7f,$ff,$fd,$fe,$00,$00,$00,$0f,$fe,$ff
.db $fc,$ff,$ff,$0f,$e0,$92,$7f,$ff,$ff,$fe,$00,$00,$00,$2f,$ef,$87
.db $f8,$7f,$ff,$7f,$fe,$39,$3f,$ff,$f8,$3c,$06,$0f,$00,$2f,$f7,$01
.db $31,$ff,$f3,$e0,$04,$19,$1f,$ff,$f0,$7e,$0f,$ff,$ff,$fd,$7f,$02
.db $f8,$c7,$df,$80,$00,$0f,$1f,$ff,$f0,$7e,$1f,$ff,$ff,$fe,$7f,$c9
.db $fe,$fc,$bf,$00,$00,$13,$41,$ff,$e0,$7f,$ff,$8f,$ff,$fc,$ff,$7d
.db $fd,$cf,$fc,$00,$00,$37,$40,$7f,$a1,$fc,$e6,$00,$00,$09,$ff,$ff
.db $f8,$7f,$fc,$00,$00,$17,$40,$7f,$bf,$f3,$bf,$06,$00,$03,$ff,$9f
.db $f0,$06,$00,$00,$01,$7e,$e0,$3e,$7f,$84,$ff,$bf,$7f,$ff,$ff,$7d
.db $e0,$08,$00,$00,$09,$fe,$70,$1c,$7e,$04,$ff,$ff,$ff,$ff,$ff,$f0
.db $e1,$0c,$00,$00,$1f,$fe,$20,$08,$0e,$0e,$ff,$ff,$ff,$ff,$ff,$f9
.db $f1,$00,$00,$00,$7f,$ff,$00,$00,$00,$3f,$ff,$ff,$ff,$ff,$ff,$bf
.db $f3,$00,$00,$03,$ff,$df,$80,$00,$00,$33,$ff,$ff,$ff,$ff,$ff,$ff
.db $f3,$a8,$01,$3f,$ff,$bf,$a0,$04,$00,$31,$ff,$ff,$4b,$ff,$ff,$ff
.db $eb,$ff,$e3,$ff,$ff,$bf,$c0,$0f,$31,$f9,$ff,$ff,$87,$ff,$ff,$c7
.db $cf,$fa,$ef,$ff,$fe,$7f,$e0,$1f,$ff,$c4,$7f,$ff,$ff,$ff,$ff,$e6
.db $ef,$ff,$ff,$ff,$f9,$ff,$e0,$01,$ff,$e0,$1f,$ff,$ff,$ff,$ff,$e5
.db $f3,$ff,$ff,$ff,$f3,$ff,$f0,$00,$ff,$f8,$63,$ff,$ff,$ff,$ff,$ff
.db $e3,$fe,$ff,$ff,$cf,$ff,$fe,$80,$3f,$f4,$41,$ff,$ff,$ff,$ff,$df
.db $07,$ff,$1f,$fc,$7f,$ff,$60,$e0,$1f,$fe,$03,$ff,$ff,$ff,$ff,$c7
.db $06,$ff,$87,$f1,$ff,$fe,$00,$78,$07,$f8,$87,$ff,$ff,$ff,$ff,$8f
.db $0e,$ff,$e0,$3f,$ff,$ff,$00,$20,$00,$79,$ff,$ff,$ff,$ff,$fe,$18
.db $cb,$ff,$ff,$ff,$ff,$fe,$00,$20,$00,$70,$ff,$ff,$ff,$ff,$fc,$b8
.db $ef,$ff,$ff,$ff,$ff,$fe,$00,$20,$00,$60,$7f,$ff,$ff,$ff,$d8,$f0
.db $ff,$ff,$ff,$ff,$ff,$fe,$00,$20,$00,$e0,$7f,$ff,$ff,$ff,$31,$e0
.db $ef,$ff,$ff,$ff,$ff,$fc,$00,$02,$83,$dc,$07,$ff,$ff,$fc,$30,$c0
.db $ff,$ff,$ff,$ff,$ff,$fc,$00,$07,$df,$fe,$01,$ff,$ff,$e8,$f1,$c1
.db $ff,$ff,$ff,$ff,$ff,$fc,$00,$1e,$01,$ff,$80,$9f,$fc,$10,$63,$03
.db $ef,$ff,$ff,$ff,$ff,$f8,$00,$33,$ff,$ff,$90,$00,$00,$f0,$cf,$83
.db $c6,$ff,$ff,$ff,$ff,$f8,$00,$28,$1f,$ff,$80,$04,$01,$be,$8b,$c3
.db $f3,$ff,$ff,$ff,$ff,$f0,$00,$2a,$5f,$ff,$e0,$04,$0c,$07,$87,$8f
.db $e3,$ff,$ff,$ff,$ff,$f0,$00,$1f,$ff,$ff,$20,$00,$00,$01,$c7,$ff
.db $e1,$ff,$ff,$ff,$ff,$f0,$00,$3f,$ff,$ff,$00,$00,$00,$00,$ff,$ff
.db $e3,$ff,$ff,$ff,$ff,$b8,$20,$3f,$7f,$fe,$40,$00,$00,$00,$ff,$ff
.db $c1,$ff,$3f,$ff,$ff,$be,$40,$3f,$ff,$fe,$80,$00,$40,$00,$ff,$ff
.db $c0,$0f,$03,$ff,$ff,$91,$01,$bf,$ff,$ff,$80,$00,$c0,$00,$ff,$ff
.db $c0,$ff,$81,$ff,$ff,$b0,$01,$bf,$ff,$fe,$80,$01,$81,$41,$fe,$ff
.db $c0,$7f,$c0,$7f,$81,$60,$03,$9f,$ff,$fd,$80,$03,$00,$81,$ff,$ff
.db $80,$3f,$f0,$08,$1d,$a0,$0f,$08,$ff,$fd,$80,$03,$03,$03,$ff,$f7
.db $cc,$3f,$f0,$08,$1f,$e0,$07,$21,$ff,$ff,$80,$03,$03,$03,$ff,$c7
.db $cc,$3f,$f0,$00,$1f,$e0,$0f,$20,$fd,$fe,$00,$02,$03,$0f,$ff,$c7
.db $8c,$1f,$f0,$00,$1f,$ee,$1e,$61,$ff,$fe,$00,$00,$03,$1f,$ff,$ff
.db $ec,$1f,$f8,$08,$37,$df,$3f,$71,$ff,$fe,$08,$06,$03,$1f,$ff,$8f
.db $9c,$0f,$fc,$20,$1f,$f8,$7e,$01,$ff,$fe,$08,$0e,$05,$2f,$ff,$0f
;Ninja Turtles (Mikey and Donatello) waiting for pizza delivery

Pic3:
; Accessed by pressing 3
.db 16,1,64
.db $00,$00,$07,$00,$c1,$78,$42,$79,$07,$ff,$e0,$e1,$08,$1c,$00,$00
.db $00,$00,$0e,$00,$19,$78,$21,$7d,$01,$bf,$e0,$f1,$08,$28,$00,$00
.db $00,$00,$07,$00,$04,$98,$20,$7e,$11,$ff,$f0,$f1,$c0,$20,$00,$00
.db $00,$00,$00,$00,$02,$58,$30,$fe,$01,$ff,$e0,$71,$1a,$e0,$00,$00
.db $00,$00,$00,$00,$00,$38,$10,$7f,$80,$ff,$e0,$71,$91,$40,$00,$06
.db $00,$00,$00,$00,$01,$3f,$18,$3c,$00,$7f,$e0,$62,$81,$80,$00,$04
.db $00,$00,$01,$00,$00,$9c,$78,$3f,$e0,$3f,$e4,$63,$22,$40,$00,$00
.db $00,$00,$00,$00,$10,$5c,$5c,$1f,$50,$3f,$e8,$45,$15,$00,$00,$00
.db $00,$00,$00,$00,$0e,$1e,$78,$0f,$40,$1f,$e8,$06,$22,$00,$00,$00
.db $00,$00,$00,$00,$00,$ea,$7e,$07,$80,$0f,$f0,$c6,$00,$00,$00,$04
.db $00,$00,$00,$00,$01,$00,$3f,$06,$14,$07,$e0,$8e,$08,$00,$00,$00
.db $00,$00,$00,$00,$00,$81,$7f,$80,$08,$07,$e1,$9c,$40,$00,$00,$00
.db $00,$00,$00,$00,$00,$58,$ff,$80,$24,$07,$e2,$92,$00,$00,$00,$00
.db $00,$00,$1f,$f0,$00,$f3,$bf,$28,$2d,$07,$e0,$bc,$20,$00,$00,$00
.db $00,$00,$7f,$ff,$3e,$ff,$de,$08,$40,$03,$c4,$c1,$40,$00,$00,$00
.db $00,$03,$ff,$ff,$f7,$ff,$fc,$d4,$c4,$03,$c8,$fa,$80,$00,$00,$00
.db $00,$0f,$ff,$ff,$fd,$07,$fc,$58,$04,$03,$d0,$b0,$00,$00,$00,$00
.db $00,$3f,$ff,$ff,$fe,$77,$f8,$18,$40,$03,$a6,$b0,$00,$00,$00,$40
.db $00,$7f,$ff,$ff,$ff,$c3,$fd,$00,$e8,$03,$87,$e8,$00,$00,$00,$00
.db $00,$ff,$ff,$ff,$ff,$ff,$fc,$80,$74,$03,$07,$b0,$00,$00,$00,$00
.db $01,$ff,$ff,$ff,$ff,$ff,$fc,$00,$6e,$22,$03,$80,$00,$00,$00,$00
.db $01,$ff,$ff,$ff,$ff,$d1,$fe,$40,$67,$12,$03,$00,$00,$00,$00,$00
.db $01,$ff,$ff,$ff,$ff,$c0,$7c,$c0,$23,$1f,$be,$00,$00,$00,$00,$00
.db $01,$ff,$ff,$ff,$ff,$ff,$fc,$40,$03,$8e,$ee,$10,$00,$00,$00,$00
.db $03,$ff,$ff,$ff,$ff,$ff,$fc,$00,$35,$c3,$fd,$bf,$00,$00,$00,$00
.db $01,$ff,$ff,$ff,$ff,$c0,$3c,$00,$06,$e6,$1f,$ff,$e0,$00,$00,$00
.db $01,$ff,$ff,$ff,$ff,$ff,$3d,$00,$03,$f8,$3f,$ff,$fc,$00,$00,$00
.db $0f,$ff,$ff,$ff,$ff,$ff,$fe,$60,$0e,$5e,$7c,$ff,$fe,$00,$00,$30
.db $1f,$ff,$ff,$ff,$ff,$c3,$fe,$60,$0e,$00,$ff,$7f,$ff,$80,$00,$30
.db $7f,$ff,$ff,$ff,$ff,$f0,$3f,$10,$11,$d1,$ff,$bf,$ff,$c0,$00,$00
.db $7f,$ff,$ff,$ff,$ff,$ff,$ff,$88,$3e,$63,$fc,$7f,$ff,$e0,$00,$80
.db $ff,$ff,$ff,$ff,$fc,$01,$ff,$e4,$3f,$e7,$ff,$bf,$ff,$e0,$00,$00
.db $ff,$ff,$ff,$ff,$f8,$00,$7f,$f2,$3f,$5f,$fd,$df,$ff,$f0,$00,$00
.db $ff,$ff,$ff,$ff,$f1,$04,$3f,$f9,$2f,$7f,$fc,$7f,$ff,$f8,$00,$00
.db $ff,$ff,$ff,$ff,$e0,$01,$3b,$ff,$8d,$ff,$ff,$bf,$ff,$f8,$00,$00
.db $ff,$ff,$ff,$ff,$08,$01,$3f,$ff,$e3,$ff,$ff,$ff,$ff,$f8,$00,$00
.db $ff,$ff,$ff,$fc,$00,$01,$3f,$ff,$ff,$ff,$f8,$ff,$ff,$f8,$00,$00
.db $ff,$ff,$ff,$f8,$40,$01,$1f,$ff,$ff,$ff,$ff,$3f,$ff,$f8,$00,$00
.db $ff,$ff,$ff,$f8,$00,$01,$1f,$ff,$ff,$ff,$81,$ff,$ff,$f8,$00,$00
.db $ff,$ff,$ff,$f8,$00,$00,$c7,$ff,$ff,$fe,$00,$7f,$ff,$f8,$00,$00
.db $ff,$ff,$ff,$d8,$18,$00,$73,$ff,$ff,$f8,$82,$3f,$ff,$f0,$00,$00
.db $ff,$ff,$ff,$d8,$3c,$00,$1f,$ff,$ff,$e6,$00,$3f,$ff,$e0,$00,$00
.db $ff,$ff,$ff,$98,$7e,$00,$03,$ff,$ff,$1c,$00,$3f,$ff,$c0,$00,$00
.db $ff,$ff,$ff,$98,$7f,$00,$00,$7f,$ff,$f8,$00,$3f,$ff,$e0,$00,$00
.db $ff,$ff,$ff,$80,$7f,$c0,$00,$1f,$ff,$e0,$00,$3f,$ff,$e0,$00,$00
.db $ff,$ff,$fc,$0c,$7f,$f8,$00,$7f,$ff,$c0,$00,$7f,$ff,$e0,$00,$00
.db $ff,$ff,$f2,$04,$7f,$ff,$00,$ff,$ff,$80,$00,$7f,$ff,$f0,$00,$00
.db $ff,$ff,$e2,$00,$bf,$ff,$df,$ff,$ff,$00,$00,$7f,$ff,$f8,$00,$01
.db $ff,$ff,$80,$00,$ff,$ff,$ff,$ff,$ff,$e0,$00,$7f,$ff,$fc,$00,$01
.db $ff,$f8,$01,$c0,$ff,$ff,$ff,$ff,$ff,$ff,$bc,$ff,$ff,$fc,$00,$01
.db $ff,$c0,$01,$c0,$ff,$ff,$ff,$ff,$ff,$ff,$fc,$ff,$ff,$fe,$00,$00
.db $ff,$80,$00,$c0,$ff,$ff,$ff,$ff,$ff,$ff,$fb,$ff,$ff,$fe,$00,$07
.db $ff,$80,$00,$80,$fd,$ff,$ff,$ff,$ff,$ff,$e7,$ff,$ff,$ff,$c0,$07
.db $ff,$80,$00,$a0,$ff,$3f,$ff,$ff,$ff,$ff,$9f,$ff,$ff,$ff,$f8,$0f
.db $ff,$80,$00,$20,$fe,$1f,$ff,$ff,$ff,$ff,$5f,$ff,$ff,$ff,$fe,$72
.db $fb,$80,$00,$90,$fc,$2f,$ff,$ff,$f7,$ff,$0f,$ff,$ff,$fc,$40,$0f
.db $fb,$00,$00,$10,$f9,$1f,$ff,$ff,$ff,$f0,$07,$ff,$ff,$f0,$00,$ff
.db $fb,$00,$00,$08,$fa,$7f,$ff,$ff,$e3,$c4,$03,$ff,$ff,$ec,$00,$ff
.db $73,$00,$01,$86,$f8,$3f,$ff,$ff,$e7,$90,$01,$ff,$ff,$de,$01,$fe
.db $62,$00,$03,$c1,$f1,$9f,$ff,$ff,$ff,$e0,$00,$ff,$ff,$ff,$03,$ff
.db $40,$00,$07,$e7,$f0,$1f,$ff,$ff,$9c,$80,$00,$3f,$ff,$ff,$ef,$f9
.db $04,$00,$0f,$ff,$ff,$3f,$ff,$ff,$f8,$00,$00,$0f,$ff,$ff,$ff,$f0
.db $0c,$00,$1f,$ff,$ff,$ff,$ff,$fe,$fc,$00,$00,$01,$ff,$ff,$ff,$f8
.db $00,$00,$1f,$ff,$ff,$ff,$ff,$ff,$84,$00,$00,$00,$ff,$ff,$ff,$80
; Super Saiya-jin Vegeta Powering Up

Pic4:
; Accessed by pressing 4
.db 16,1,64
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$58,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$03,$f8,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$01,$fc,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$06,$96,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$06,$00,$00,$00,$00,$00,$00,$00,$00,$03,$00,$00
.db $00,$00,$00,$01,$20,$00,$00,$1f,$00,$00,$00,$00,$00,$0f,$e0,$00
.db $00,$00,$00,$02,$c2,$00,$00,$62,$80,$00,$00,$00,$00,$1f,$f8,$00
.db $00,$00,$00,$00,$94,$00,$00,$3f,$c0,$00,$00,$00,$00,$1f,$fc,$00
.db $00,$1c,$00,$00,$48,$00,$00,$ff,$e0,$00,$00,$00,$00,$15,$fc,$00
.db $00,$ff,$80,$03,$d6,$00,$00,$ff,$e0,$00,$00,$00,$00,$10,$5c,$00
.db $01,$ff,$c0,$03,$ee,$00,$00,$d1,$70,$00,$00,$00,$00,$00,$58,$00
.db $03,$ff,$c0,$17,$ff,$08,$00,$f0,$78,$00,$00,$00,$00,$12,$78,$00
.db $03,$ff,$c0,$05,$fd,$00,$00,$e2,$f8,$00,$00,$00,$00,$18,$70,$00
.db $03,$fe,$e1,$00,$f8,$00,$00,$f0,$f8,$00,$00,$00,$00,$09,$00,$00
.db $03,$db,$60,$00,$fc,$00,$00,$70,$fc,$00,$00,$00,$00,$00,$40,$00
.db $03,$ec,$40,$00,$fc,$10,$00,$f5,$fc,$00,$20,$00,$00,$01,$38,$00
.db $01,$e4,$00,$40,$7c,$00,$00,$f4,$be,$00,$a0,$00,$00,$03,$1e,$00
.db $00,$f8,$c0,$40,$18,$00,$03,$fb,$ff,$00,$f8,$40,$00,$1c,$0f,$80
.db $00,$7f,$c2,$40,$18,$00,$07,$bb,$ff,$81,$ff,$80,$00,$3c,$1f,$c0
.db $03,$ff,$f0,$00,$08,$10,$1f,$e7,$ff,$e1,$e7,$00,$00,$3c,$7f,$e0
.db $07,$ff,$f8,$00,$00,$00,$1e,$7e,$f3,$f3,$fc,$00,$00,$7e,$ff,$f0
.db $0f,$ff,$fc,$00,$00,$00,$08,$33,$e0,$ff,$ff,$80,$00,$7f,$ff,$f0
.db $0f,$ff,$fe,$20,$00,$00,$80,$2f,$c0,$7f,$ff,$80,$00,$ff,$ff,$c0
.db $1f,$ff,$fe,$00,$00,$40,$06,$17,$83,$ff,$ff,$00,$00,$ff,$ff,$e0
.db $1f,$ff,$ff,$00,$00,$00,$1e,$5f,$3f,$df,$fc,$00,$00,$7f,$ff,$80
.db $7f,$ff,$ff,$40,$02,$00,$00,$3f,$14,$1f,$f8,$00,$00,$3f,$ff,$00
.db $7f,$ff,$ff,$00,$01,$20,$00,$7f,$00,$1f,$f0,$00,$00,$1f,$ff,$00
.db $3f,$ff,$ff,$10,$02,$10,$01,$ff,$40,$3f,$f0,$00,$00,$0f,$ff,$08
.db $7f,$ff,$ff,$00,$1c,$40,$01,$ff,$80,$3f,$f0,$00,$00,$07,$ff,$00
.db $3f,$ff,$fe,$8c,$ff,$40,$03,$7f,$c0,$3f,$f0,$00,$00,$07,$ff,$40
.db $1f,$ff,$fc,$0f,$ff,$c0,$03,$8f,$c0,$3f,$f0,$00,$00,$07,$ff,$c0
.db $0f,$ff,$ec,$07,$ff,$c0,$07,$f1,$80,$3f,$f8,$00,$00,$07,$ff,$e0
.db $03,$ff,$e4,$07,$ff,$80,$07,$ff,$e0,$ff,$fc,$00,$00,$17,$ff,$c0
.db $07,$ff,$e5,$87,$ff,$80,$07,$ff,$e0,$3f,$fc,$00,$00,$07,$ff,$c0
.db $07,$ff,$e5,$87,$ff,$80,$0f,$ff,$e0,$ff,$ff,$00,$00,$07,$ff,$90
.db $0f,$ff,$e7,$03,$ff,$80,$05,$bf,$c1,$ff,$ff,$80,$00,$07,$ff,$00
.db $0f,$ff,$e0,$03,$ff,$80,$00,$4f,$20,$ff,$ff,$c0,$00,$0f,$ff,$00
.db $1f,$ff,$e0,$03,$ff,$80,$01,$00,$c0,$ff,$ff,$f0,$00,$0f,$ff,$00
.db $1f,$ff,$f0,$03,$ff,$00,$00,$88,$00,$ff,$ff,$f8,$00,$4f,$ff,$c0
.db $1f,$ff,$f0,$03,$ff,$00,$00,$40,$00,$ff,$ff,$ff,$80,$07,$fe,$00
.db $1f,$ff,$f8,$01,$ff,$00,$00,$00,$00,$ff,$ff,$ff,$e0,$13,$fc,$00
.db $07,$ff,$f8,$01,$ff,$00,$00,$03,$00,$ff,$ff,$ff,$f8,$07,$fc,$00
.db $00,$7f,$80,$01,$ff,$00,$00,$21,$10,$ff,$ff,$ff,$ff,$ef,$f8,$00
.db $00,$06,$00,$03,$ff,$00,$00,$23,$00,$ff,$ff,$ff,$ff,$eb,$f8,$20
.db $01,$00,$80,$03,$ff,$80,$00,$00,$88,$ff,$ff,$ff,$ff,$81,$f8,$00
.db $00,$01,$00,$03,$ff,$80,$00,$30,$00,$7c,$ff,$ff,$fc,$03,$f8,$80
.db $01,$00,$80,$07,$ff,$80,$00,$00,$88,$7e,$3f,$c3,$fc,$03,$fc,$80
.db $01,$9f,$80,$07,$ff,$80,$00,$00,$00,$3e,$1f,$c1,$f8,$07,$fc,$00
.db $01,$ff,$00,$07,$ff,$c0,$00,$02,$00,$1f,$1e,$e1,$e0,$07,$fc,$00
.db $01,$ff,$00,$07,$ff,$c0,$00,$10,$00,$0f,$9c,$71,$c0,$0f,$fc,$00
.db $00,$ff,$00,$07,$ff,$c0,$00,$08,$00,$07,$9c,$e3,$80,$0f,$f8,$00
.db $00,$7f,$00,$0f,$ff,$c0,$00,$00,$00,$03,$df,$e1,$c0,$03,$fc,$00
.db $00,$7e,$00,$0f,$ff,$e0,$00,$04,$10,$01,$ff,$c1,$e0,$03,$fc,$00
.db $00,$3e,$00,$0f,$ff,$e0,$00,$0c,$00,$00,$ff,$80,$ee,$07,$fe,$00
.db $00,$3e,$00,$1f,$ff,$c0,$00,$08,$04,$00,$7c,$00,$fe,$0f,$fe,$00
.db $00,$1f,$00,$ff,$ff,$c0,$00,$02,$08,$00,$3c,$00,$78,$1f,$fe,$00
.db $00,$1f,$80,$fe,$07,$e0,$00,$08,$04,$07,$ff,$f0,$00,$3f,$ff,$00
.db $00,$1f,$c0,$00,$03,$f0,$00,$20,$00,$07,$ff,$f1,$e3,$ff,$ff,$80
.db $00,$07,$e0,$00,$00,$f8,$00,$00,$00,$07,$ef,$c0,$07,$ff,$ff,$c0
.db $00,$03,$e0,$00,$00,$00,$00,$00,$00,$04,$00,$00,$00,$f0,$7f,$fc
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$03,$f8
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
; Scooby Doo and the Gang, just standing around

Pic5:
; Accessed by pressing 5
.db 16,1,64
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$f0,$32,$c0,$77,$e1,$1f,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$f0,$33,$c0,$77,$81,$07,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$c5,$c0,$10,$80,$53,$01,$1f,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$c4,$80,$13,$80,$c3,$01,$7f,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$e9,$80,$07,$00,$00,$00,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$e5,$00,$11,$04,$00,$00,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$c7,$06,$0c,$88,$00,$00,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$c3,$02,$83,$d8,$00,$00,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$c3,$02,$41,$e0,$00,$01,$3f,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$f0,$3f,$81,$06,$61,$20,$40,$02,$7f,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$e0,$7f,$c1,$86,$01,$20,$40,$84,$7f,$ff,$ff,$ff
.db $ff,$ff,$ef,$ff,$cf,$ff,$c0,$9c,$10,$21,$86,$08,$7f,$ff,$fe,$00
.db $ff,$ff,$1f,$ff,$ff,$ff,$a0,$18,$09,$11,$0c,$00,$ef,$ff,$f8,$00
.db $ff,$ff,$1f,$ff,$ff,$fe,$c0,$1c,$03,$0a,$30,$00,$0f,$ff,$e0,$00
.db $ff,$fe,$1f,$ff,$fb,$f8,$c0,$0c,$00,$06,$30,$00,$0f,$ff,$00,$00
.db $ff,$fe,$3f,$ff,$ff,$f3,$c0,$28,$00,$01,$70,$02,$07,$ff,$00,$00
.db $ff,$f8,$7f,$ff,$f7,$ef,$80,$38,$00,$00,$a0,$02,$0f,$ff,$80,$00
.db $ff,$f8,$ff,$ff,$f3,$9f,$c2,$36,$00,$00,$40,$06,$0f,$ff,$80,$00
.db $ff,$f7,$ff,$ff,$f0,$ff,$c7,$3b,$00,$02,$40,$3e,$1f,$ff,$00,$00
.db $ff,$ff,$ff,$ff,$f8,$ff,$c5,$38,$81,$01,$40,$1c,$0f,$ff,$00,$00
.db $ff,$ff,$ff,$fe,$f6,$7f,$e4,$9b,$20,$09,$cf,$f0,$1f,$ff,$18,$00
.db $ff,$ff,$ff,$fc,$e1,$7f,$f7,$89,$00,$00,$f0,$60,$3f,$ff,$f8,$00
.db $ff,$ff,$ff,$f0,$c2,$ff,$fc,$6e,$80,$00,$40,$09,$f8,$03,$f8,$00
.db $ff,$ff,$ff,$f8,$c2,$ff,$fc,$bb,$e0,$00,$40,$03,$f8,$01,$ff,$00
.db $ff,$ff,$ff,$e0,$98,$ff,$fe,$bc,$0e,$07,$f1,$cf,$f9,$c4,$ff,$f8
.db $ff,$ff,$ff,$d0,$99,$ff,$fb,$de,$23,$f8,$11,$ff,$fb,$c0,$7f,$fc
.db $e7,$ff,$ff,$e0,$39,$ff,$f5,$ce,$00,$24,$7f,$ff,$ff,$f8,$ff,$ff
.db $40,$5f,$ff,$b0,$3f,$ff,$fa,$f6,$10,$66,$6f,$ff,$ff,$ff,$ff,$ff
.db $00,$01,$ff,$d8,$3f,$ff,$fc,$fe,$11,$c2,$5f,$ff,$ff,$ff,$ff,$ff
.db $00,$00,$7f,$d8,$7f,$ff,$fe,$3e,$cf,$30,$7f,$ff,$3f,$ff,$ff,$ff
.db $00,$00,$3f,$b8,$3f,$ff,$ff,$f0,$b2,$d9,$5f,$ff,$ff,$ff,$ff,$ff
.db $00,$00,$3e,$dc,$3f,$ff,$ff,$f0,$3c,$fd,$ff,$ff,$ff,$ff,$ff,$ff
.db $00,$00,$7c,$1c,$3f,$ff,$ff,$f9,$1c,$00,$7e,$ff,$ff,$ff,$ff,$ff
.db $00,$00,$7c,$fd,$1f,$ff,$ff,$ff,$ff,$01,$fe,$ff,$ff,$ff,$ff,$ff
.db $00,$00,$fc,$7c,$8f,$ff,$ff,$ff,$ff,$0b,$fe,$9f,$ff,$ff,$ff,$ff
.db $40,$13,$cc,$1c,$cf,$3f,$ff,$ff,$ff,$c3,$fe,$83,$ff,$ff,$ff,$ff
.db $ff,$ff,$fc,$5c,$c7,$7f,$ff,$f7,$ff,$c7,$fe,$e1,$ff,$ff,$ff,$ff
.db $ff,$ff,$fc,$7c,$e2,$7f,$ff,$f1,$ff,$ff,$fe,$f0,$ff,$ff,$ff,$ff
.db $ff,$ff,$fc,$76,$f6,$3f,$ff,$f8,$ff,$ff,$fc,$fe,$3f,$ff,$ff,$ff
.db $ff,$ff,$fc,$7e,$7a,$3f,$ff,$fc,$fe,$7f,$f8,$ff,$1f,$ff,$ff,$ff
.db $ff,$ff,$fc,$7f,$3f,$1f,$ff,$fe,$fe,$7f,$f9,$ff,$cf,$ff,$ff,$ff
.db $7f,$ff,$fc,$7f,$1f,$9f,$ff,$fe,$fe,$7f,$f0,$ff,$c7,$ff,$ff,$ff
.db $7f,$ff,$fc,$3f,$07,$9f,$ff,$fe,$9f,$3f,$ee,$7f,$e3,$ff,$ff,$ff
.db $7f,$ff,$fe,$3f,$81,$cf,$ff,$fe,$1f,$3f,$de,$7f,$e3,$ff,$ff,$ff
.db $4f,$fe,$02,$1f,$ff,$e3,$ff,$ff,$8f,$ff,$fc,$ff,$e3,$ff,$ff,$ff
.db $5f,$ff,$fb,$4f,$ff,$f1,$ff,$ff,$c7,$7f,$fc,$ff,$e3,$ff,$ff,$ff
.db $4f,$ff,$ff,$bf,$ff,$ff,$3f,$ff,$e7,$5f,$f9,$ff,$c3,$ff,$ff,$ff
.db $4f,$ff,$ff,$ff,$ff,$fe,$df,$ff,$e3,$3f,$f2,$ff,$cf,$ff,$ff,$ff
.db $2f,$ff,$ff,$ff,$ff,$fd,$bf,$ff,$e2,$ff,$f0,$ff,$37,$ff,$ff,$ff
.db $7f,$ff,$ff,$bf,$ff,$f8,$9f,$ff,$f0,$5f,$cc,$ff,$ef,$ff,$ff,$ff
.db $7f,$ff,$ff,$9f,$ff,$f0,$4f,$ff,$f0,$5f,$fc,$ff,$ff,$ff,$ff,$ff
.db $7f,$ff,$ff,$cf,$ff,$fc,$3f,$ff,$f2,$07,$f8,$ff,$ff,$ff,$ff,$ff
.db $7f,$ff,$ff,$c7,$ff,$fc,$7d,$ff,$f3,$27,$f9,$ff,$ff,$ff,$ff,$ff
.db $7f,$ff,$ff,$c7,$ff,$fc,$5b,$7f,$ef,$27,$f9,$ff,$ff,$ff,$ff,$fe
.db $7f,$ff,$ff,$c7,$ff,$fc,$54,$bf,$ff,$01,$f2,$bf,$ff,$ff,$ff,$fc
.db $03,$ff,$ff,$e3,$ff,$fe,$5e,$0f,$ff,$06,$f6,$d0,$80,$40,$00,$00
.db $03,$ff,$ff,$f3,$ff,$ff,$5f,$0f,$ff,$42,$75,$ff,$00,$00,$00,$00
.db $00,$03,$bf,$f9,$ff,$ff,$99,$8f,$ff,$c7,$9e,$00,$1b,$fa,$20,$00
.db $00,$00,$00,$39,$ff,$ff,$c8,$6f,$ff,$df,$8e,$00,$00,$00,$00,$00
.db $00,$00,$00,$14,$ff,$ff,$c8,$1f,$ff,$ff,$8c,$00,$00,$00,$00,$00
.db $00,$00,$00,$1a,$ff,$ff,$c8,$09,$ff,$ff,$84,$00,$00,$00,$00,$00
.db $00,$00,$00,$1b,$7f,$ff,$c4,$08,$ff,$ff,$c6,$01,$00,$00,$00,$00
.db $00,$00,$00,$09,$7f,$ff,$c4,$06,$7f,$ff,$f7,$03,$c0,$00,$00,$00
.db $00,$00,$00,$0d,$bf,$ff,$e4,$02,$1f,$ff,$f6,$83,$80,$00,$00,$00
; Trunks just after slicing Frieza

Pic6:
; Accessed by pressing 6
.db 16,1,64
.db $ff,$ff,$fe,$0a,$44,$8a,$40,$3c,$00,$83,$3f,$df,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$fb,$bc,$e1,$a9,$00,$03,$fd,$ff,$ff,$7f,$ff,$ff,$ff
.db $ff,$ff,$ff,$fc,$e6,$39,$20,$00,$77,$2b,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$fc,$92,$91,$2a,$47,$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$e2,$a3,$90,$56,$c0,$00,$3f,$fd,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$bd,$94,$10,$4a,$df,$ff,$bf,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$fb,$ec,$c5,$78,$31,$de,$00,$ff,$7f,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$fe,$00,$ee,$a8,$d3,$9e,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$a2,$00,$1d,$11,$da,$e1,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$f0,$00,$5d,$05,$d5,$05,$ff,$fe,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$d8,$00,$0e,$30,$52,$03,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$aa,$00,$18,$29,$53,$fb,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$bf,$ff,$ff,$d0,$00,$02,$e2,$d1,$7f,$ff,$cf,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$6a,$00,$17,$17,$d5,$fb,$6f,$f9,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$30,$00,$0f,$71,$d0,$07,$fc,$3f,$bf,$ff,$ff,$ff
.db $ff,$ff,$ff,$fb,$08,$10,$10,$b7,$d4,$07,$fc,$01,$df,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$e0,$00,$03,$ff,$d4,$cf,$fe,$00,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$56,$00,$03,$ff,$b0,$1f,$fe,$07,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$e4,$00,$02,$fe,$c0,$7f,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$94,$00,$04,$7e,$90,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $fe,$ff,$ff,$ff,$f2,$40,$40,$1f,$77,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$bf,$ff,$ff,$b0,$04,$01,$72,$75,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$af,$00,$1c,$fc,$f7,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$b0,$00,$11,$ec,$7f,$ff,$ff,$ff,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$e2,$00,$2d,$ec,$7f,$ff,$ff,$ff,$ff,$ef,$ff,$ff
.db $ff,$ff,$ff,$ff,$cd,$81,$21,$d1,$ff,$ff,$ff,$ff,$ff,$a7,$ff,$ff
.db $ff,$ff,$ff,$ff,$43,$40,$32,$d0,$ff,$ff,$ff,$ff,$ef,$9f,$bf,$ff
.db $ff,$ff,$ff,$ff,$fc,$94,$53,$f8,$ff,$ff,$ff,$f8,$01,$d9,$3f,$ff
.db $ff,$ff,$ff,$ff,$5b,$41,$33,$a1,$ff,$ff,$ff,$fa,$01,$d8,$8f,$ff
.db $ff,$ff,$ff,$ff,$f8,$5a,$67,$a3,$ff,$ff,$ed,$1a,$01,$ca,$17,$ff
.db $ff,$ff,$ff,$ff,$f7,$ed,$fb,$a7,$ff,$ff,$cc,$fc,$00,$ce,$c3,$ff
.db $ff,$ff,$ff,$ff,$f7,$fb,$bb,$bf,$ff,$ff,$d3,$e0,$00,$ee,$5e,$bf
.db $f7,$ff,$ff,$ff,$ff,$ff,$fb,$bf,$ff,$fe,$93,$e0,$01,$ef,$87,$bf
.db $ff,$ff,$ff,$ff,$df,$4b,$ff,$ff,$ff,$ff,$fb,$c1,$01,$cc,$09,$ff
.db $ff,$ff,$ff,$ff,$fe,$f8,$ff,$ff,$ff,$f1,$ff,$c1,$1b,$c9,$43,$ff
.db $f7,$ff,$ff,$ff,$ff,$77,$bf,$ff,$ff,$f9,$ff,$87,$b3,$da,$1f,$ff
.db $ef,$ff,$ff,$ff,$fb,$f7,$ff,$ff,$ff,$f9,$ff,$1f,$a7,$d8,$07,$ff
.db $ff,$ff,$ff,$f7,$ff,$f6,$7f,$ff,$fb,$f2,$fe,$7f,$df,$d0,$3f,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$9f,$ff,$f1,$e4,$fc,$3f,$cf,$b4,$5f,$ff
.db $ff,$ff,$ff,$ff,$ff,$5f,$ff,$ff,$f3,$f3,$f3,$ff,$1f,$a8,$ff,$ff
.db $ff,$ff,$ff,$ff,$f3,$8c,$ff,$ff,$f7,$ff,$f3,$fe,$2f,$6a,$bf,$ff
.db $ff,$ff,$ff,$ff,$fb,$c0,$ff,$ff,$ff,$ff,$f3,$fc,$bf,$5f,$df,$ff
.db $ff,$ff,$ff,$ff,$f6,$b7,$ff,$ff,$7f,$ff,$ff,$fe,$9e,$e1,$bf,$7f
.db $ff,$ff,$ff,$ff,$fd,$87,$ff,$ff,$ff,$fe,$ff,$ff,$9c,$ae,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$bf,$ff,$fd,$ff,$fa,$ff,$ff,$13,$5b,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$f2,$ff,$fe,$ff,$ff,$22,$dd,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$c3,$ff,$c2,$ff,$ff,$9d,$cf,$fe,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$87,$ff,$ca,$ff,$ff,$33,$bb,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$ff,$1f,$de,$84,$ff,$f8,$df,$df,$bf,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$fe,$9f,$5c,$62,$ff,$e3,$bb,$fb,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$fc,$70,$7e,$08,$07,$79,$fd,$bf,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$f9,$70,$7f,$80,$ff,$e7,$ff,$e3,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$e9,$c0,$fe,$4c,$d7,$ff,$7f,$df,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$f0,$40,$f7,$03,$ff,$f9,$ff,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$ff,$90,$01,$d0,$be,$fd,$b2,$36,$ff,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$fd,$00,$03,$df,$0d,$ae,$1f,$eb,$fb,$ff,$ff
.db $ff,$ff,$ff,$ff,$ff,$f1,$00,$03,$55,$e0,$f8,$07,$fe,$ff,$bf,$ff
.db $ff,$ff,$ff,$ff,$ff,$a1,$20,$00,$50,$07,$e4,$42,$5d,$7f,$ff,$ff
.db $ff,$ff,$ff,$ff,$fe,$20,$00,$00,$10,$03,$f6,$88,$af,$7f,$ff,$ff
.db $ff,$ff,$ff,$ff,$db,$68,$00,$00,$c0,$00,$24,$00,$b0,$7f,$ff,$ff
.db $ff,$ff,$ff,$ff,$bd,$e0,$00,$01,$5f,$df,$c0,$03,$11,$3f,$ff,$ff
.db $ff,$ff,$ff,$f7,$ef,$50,$00,$1f,$bf,$f8,$00,$00,$07,$bf,$ff,$ff
.db $ff,$ff,$ff,$e0,$fc,$80,$00,$43,$ff,$f8,$00,$bd,$83,$77,$ff,$ff
;Jurassic Park 3 poster

PicS:
; Accessed by pressing Log
.db 16,1,64
.db $ff,$ff,$ff,$ff,$f8,$00,$3f,$d3,$ff,$ff,$80,$70,$00,$00,$00,$00
.db $ff,$ff,$07,$ff,$ff,$a0,$7f,$f7,$ff,$fc,$00,$3a,$00,$00,$00,$00
.db $4f,$fc,$07,$ee,$0d,$e0,$ff,$e7,$ff,$ff,$00,$20,$00,$00,$00,$00
.db $41,$ff,$ff,$e0,$00,$00,$ff,$ff,$bf,$fc,$00,$01,$00,$00,$00,$00
.db $00,$7f,$ff,$c0,$00,$01,$ff,$ff,$7f,$fc,$00,$00,$00,$00,$00,$00
.db $80,$00,$1f,$8e,$00,$01,$fb,$cf,$7f,$fc,$60,$00,$00,$00,$00,$00
.db $00,$00,$1f,$1b,$00,$07,$bf,$ff,$83,$bf,$04,$00,$00,$00,$00,$00
.db $40,$00,$1d,$1e,$00,$00,$ff,$fe,$07,$ff,$c0,$00,$00,$00,$00,$00
.db $00,$00,$0d,$0e,$00,$00,$ff,$fe,$05,$ff,$80,$00,$20,$00,$00,$00
.db $40,$00,$0d,$00,$00,$00,$3f,$f8,$00,$bf,$88,$00,$00,$00,$00,$00
.db $40,$00,$07,$00,$00,$00,$3f,$e0,$02,$3e,$38,$00,$00,$80,$00,$00
.db $00,$00,$07,$80,$00,$00,$37,$f0,$00,$7f,$80,$00,$03,$00,$00,$00
.db $80,$00,$01,$80,$00,$00,$47,$c0,$00,$7f,$00,$00,$04,$00,$00,$00
.db $86,$80,$00,$00,$00,$00,$87,$c1,$84,$1e,$3f,$f8,$72,$00,$10,$00
.db $a0,$20,$00,$00,$00,$00,$07,$c1,$00,$0d,$ff,$ff,$f3,$c0,$00,$00
.db $d0,$00,$00,$08,$00,$00,$07,$c0,$00,$17,$cf,$fb,$fc,$ff,$ff,$ff
.db $f0,$00,$00,$00,$00,$00,$01,$c0,$00,$57,$bf,$ff,$fc,$ff,$ff,$ff
.db $fc,$1d,$c0,$00,$00,$00,$60,$70,$02,$77,$f7,$ff,$ff,$ff,$ff,$ff
.db $fe,$fc,$e8,$08,$e0,$00,$31,$48,$02,$57,$be,$ff,$ff,$ff,$ff,$ff
.db $0f,$ee,$20,$18,$e0,$00,$18,$7e,$03,$05,$ff,$df,$ff,$ff,$ff,$ff
.db $00,$35,$30,$f8,$00,$00,$ff,$3f,$81,$9b,$ff,$ff,$ff,$fe,$ff,$ff
.db $80,$84,$09,$f0,$00,$9f,$e0,$15,$bf,$ff,$ff,$bf,$ff,$fb,$db,$ff
.db $10,$42,$08,$78,$00,$1f,$f8,$1f,$ff,$ff,$41,$af,$ff,$ff,$f7,$ff
.db $20,$60,$08,$18,$00,$00,$04,$07,$37,$ec,$1f,$ff,$ff,$ff,$b9,$ff
.db $00,$c0,$10,$0c,$00,$00,$00,$0a,$6f,$94,$07,$ff,$ff,$fb,$ce,$df
.db $03,$80,$00,$00,$00,$00,$00,$ff,$7e,$10,$07,$3f,$ff,$ff,$e2,$7f
.db $02,$00,$80,$00,$00,$00,$01,$ff,$fc,$01,$7f,$ff,$ff,$fb,$f9,$37
.db $02,$00,$00,$01,$00,$00,$07,$ff,$f0,$00,$73,$ff,$ff,$fc,$7c,$37
.db $03,$00,$00,$0c,$00,$00,$03,$ff,$f0,$00,$07,$3f,$ff,$fe,$66,$57
.db $03,$80,$00,$18,$00,$00,$00,$3f,$e0,$80,$07,$ff,$ff,$ff,$13,$05
.db $07,$80,$00,$30,$00,$00,$06,$0f,$c3,$86,$07,$ff,$ff,$fb,$00,$0d
.db $07,$a0,$00,$70,$00,$00,$00,$27,$87,$80,$07,$af,$ff,$f9,$81,$0d
.db $07,$81,$00,$70,$70,$00,$01,$03,$87,$80,$06,$8f,$ff,$fd,$80,$19
.db $1f,$81,$00,$f0,$f0,$00,$00,$01,$83,$e0,$0d,$ff,$ff,$fc,$80,$09
.db $ff,$80,$00,$f0,$f8,$00,$00,$00,$60,$00,$79,$f7,$ff,$fc,$80,$01
.db $ff,$80,$00,$f0,$f0,$01,$c0,$10,$10,$00,$ff,$ab,$ff,$fc,$00,$73
.db $ff,$80,$00,$f8,$00,$00,$00,$00,$08,$00,$39,$f7,$ff,$fc,$80,$23
.db $ff,$80,$00,$7c,$40,$40,$00,$00,$7c,$00,$03,$ff,$ff,$fc,$00,$47
.db $ff,$80,$40,$7e,$0c,$00,$00,$00,$6f,$80,$0f,$ff,$ff,$fe,$01,$0f
.db $ff,$80,$3b,$ff,$80,$00,$00,$01,$ff,$f8,$07,$ff,$ff,$ff,$00,$0f
.db $ff,$80,$3f,$fc,$00,$00,$00,$01,$ff,$ff,$87,$ff,$ff,$ff,$00,$1f
.db $ff,$80,$3f,$c0,$00,$00,$00,$01,$f3,$ff,$bf,$ff,$ff,$ff,$00,$3e
.db $ff,$84,$05,$00,$00,$00,$00,$03,$8f,$fe,$5f,$ff,$ff,$ff,$e1,$f9
.db $ff,$80,$08,$00,$00,$00,$00,$00,$08,$7f,$ff,$ff,$ff,$f3,$d1,$c7
.db $7f,$c0,$08,$00,$00,$00,$00,$10,$19,$ff,$bf,$ff,$ff,$83,$e0,$0f
.db $01,$d0,$08,$00,$00,$00,$01,$c0,$3f,$fd,$b6,$43,$9f,$81,$ff,$3f
.db $01,$c0,$10,$00,$00,$3f,$fc,$00,$ff,$e2,$79,$e0,$6f,$80,$ff,$ff
.db $00,$e0,$20,$00,$03,$ff,$00,$33,$ff,$c0,$40,$f8,$00,$00,$bf,$ff
.db $00,$c8,$00,$00,$3f,$c0,$00,$01,$df,$80,$23,$fd,$00,$00,$dd,$ff
.db $00,$40,$40,$87,$87,$00,$00,$0f,$ff,$00,$0f,$ff,$00,$00,$e7,$ff
.db $00,$60,$01,$fe,$0f,$80,$00,$fd,$fc,$00,$0e,$ff,$80,$00,$79,$ff
.db $00,$1e,$03,$fe,$0d,$00,$00,$39,$fc,$00,$1b,$33,$80,$00,$7f,$00
.db $00,$00,$01,$fe,$0b,$80,$00,$00,$7c,$00,$00,$7c,$40,$00,$7f,$ff
.db $00,$00,$00,$7e,$00,$00,$30,$02,$7f,$20,$07,$fe,$00,$00,$77,$fd
.db $70,$00,$00,$3f,$00,$00,$80,$c0,$00,$10,$03,$fe,$00,$00,$0a,$00
.db $00,$00,$00,$0f,$80,$02,$06,$00,$00,$00,$07,$ff,$c0,$00,$82,$80
.db $00,$00,$00,$07,$80,$00,$0f,$84,$00,$04,$03,$fd,$f0,$00,$01,$21
.db $ff,$80,$00,$00,$f0,$00,$00,$00,$00,$02,$53,$ff,$00,$00,$00,$00
.db $f9,$ff,$00,$01,$fc,$00,$00,$00,$00,$00,$1f,$ff,$00,$01,$00,$00
.db $f0,$01,$f8,$03,$fc,$00,$80,$00,$00,$03,$00,$ff,$b0,$00,$00,$00
.db $80,$10,$00,$03,$f8,$00,$00,$00,$00,$00,$17,$0f,$80,$03,$f0,$00
.db $00,$40,$00,$03,$f0,$02,$00,$00,$00,$00,$3f,$e0,$00,$0a,$04,$00
.db $00,$80,$00,$01,$f0,$00,$00,$00,$00,$0c,$ff,$f0,$00,$07,$80,$80
.db $f8,$00,$00,$00,$ff,$a8,$00,$00,$00,$44,$5f,$7c,$d0,$80,$00,$00
; A random hentai (anime porno) pic, not expected to be found.

END:
 call _homeup
 jp _clrLCD
 
.end